Properties Methods Events Config Options Direct Link

# Class Ext.layout.BorderLayout.Region

Package: | Ext.layout
Defined In: | BorderLayout.js
Class: | BorderLayout.Region
Subclasses: | BorderLayout.SplitRegion
Extends: | Object

This is a region of a BorderLayout that acts as a subcontainer within the layout. Each region has its own layout that is independent of other regions and the containing BorderLayout, and can be any of the valid Ext layout types. Region size is managed automatically and cannot be changed by the user -- for resizable regions, see Ext.layout.BorderLayout.SplitRegion.

## Config Options

Config Options | Defined By
--- | ---

animFloat : Boolean
When a collapsed region's bar is clicked, the region's panel will be displayed as a floated panel that will close aga...
When a collapsed region's bar is clicked, the region's panel will be displayed as a floated panel that will close again once the user mouses out of that panel (or clicks out if autoHide = false). Setting animFloat to false will prevent the open and close of these floated panels from being animated (defaults to true).

BorderLayout.Region

autoHide : Boolean
When a collapsed region's bar is clicked, the region's panel will be displayed as a floated panel. If autoHide is tru...
When a collapsed region's bar is clicked, the region's panel will be displayed as a floated panel. If autoHide is true, the panel will automatically hide after the user mouses out of the panel. If autoHide is false, the panel will continue to display until the user clicks outside of the panel (defaults to true).

BorderLayout.Region

| cmargins : Object An object containing margins to apply to the region's collapsed element in the format {left: (left margin), top: (top... An object containing margins to apply to the region's collapsed element in the format {left: (left margin), top: (top margin), right: (right margin), bottom: (bottom margin)} | BorderLayout.Region

collapseMode : String
By default, collapsible regions are collapsed by clicking the expand/collapse tool button that renders into the regio...
By default, collapsible regions are collapsed by clicking the expand/collapse tool button that renders into the region's title bar. Optionally, when collapseMode is set to 'mini' the region's split bar will also display a small collapse button in the center of the bar. In 'mini' mode the region will collapse to a thinner bar than in normal mode. By default collapseMode is undefined, and the only two supported values are undefined and 'mini'. Note that if a collapsible region does not have a title bar, then collapseMode must be set to 'mini' in order for the region to be collapsible by the user as the tool button will not be rendered.

BorderLayout.Region

collapsible : Boolean
True to allow the user to collapse this region (defaults to false). If true, an expand/collapse tool button will auto...
True to allow the user to collapse this region (defaults to false). If true, an expand/collapse tool button will automatically be rendered into the title bar of the region, otherwise the button will not be shown. Note that a title bar is required to display the toggle button -- if no region title is specified, the region will only be collapsible if collapseMode is set to 'mini'.

BorderLayout.Region

| floatable : Boolean True to allow clicking a collapsed region's bar to display the region's panel floated above the layout, false to forc... True to allow clicking a collapsed region's bar to display the region's panel floated above the layout, false to force the user to fully expand a collapsed region by clicking the expand button to see it again (defaults to true). | BorderLayout.Region
| margins : Object An object containing margins to apply to the region in the format {left: (left margin), top: (top margin), right: (ri... An object containing margins to apply to the region in the format {left: (left margin), top: (top margin), right: (right margin), bottom: (bottom margin)} | BorderLayout.Region
| minHeight : Number The minimum allowable height in pixels for this region (defaults to 50) | BorderLayout.Region
| minWidth : Number The minimum allowable width in pixels for this region (defaults to 50) | BorderLayout.Region
| split : Boolean True to display a Ext.SplitBar between this region and its neighbor, allowing the user to resize the regions dynamica... True to display a Ext.SplitBar between this region and its neighbor, allowing the user to resize the regions dynamically (defaults to false). When split = true, it is common to specify a minSize and maxSize for the region. | BorderLayout.Region

## Public Properties

Property | Defined By
--- | ---
| isCollapsed : Boolean True if this region is collapsed. Read-only. | BorderLayout.Region
| position : String This region's layout position (north, south, east, west or center). Read-only. | BorderLayout.Region

## Public Methods

Method | Defined By
--- | ---

BorderLayout.Region( `Layout layout`, `Object config`, `String position` )
Create a new Region.
Create a new Region.
Parameters:

- `layout` : Layout
  Any valid Ext layout class
- `config` : Object
  The configuration options
- `position` : String
  The region position. Valid values are: north, south, east, west and center. Every BorderLayout must have a center region for the primary content -- all other regions are optional.

Returns:

- ``

BorderLayout.Region

getMargins() : Object
Returns the current margins for this region. If the region is collapsed, the cmargins (collapsed margins) value will...
Returns the current margins for this region. If the region is collapsed, the cmargins (collapsed margins) value will be returned, otherwise the margins value will be returned.
Parameters:

- None.

Returns:

- `Object`
  An object containing the element's margins: {left: (left margin), top: (top margin), right: (right margin), bottom: (bottom margin)}

BorderLayout.Region

getMinHeight() : Number
Returns the minimum allowable height for this region.
Returns the minimum allowable height for this region.
Parameters:

- None.

Returns:

- `Number`
  The minimum height

BorderLayout.Region

getMinWidth() : Number
Returns the minimum allowable width for this region.
Returns the minimum allowable width for this region.
Parameters:

- None.

Returns:

- `Number`
  The minimum width

BorderLayout.Region

getSize() : Object
Returns the current size of this region. If the region is collapsed, the size of the collapsedEl will be returned, o...
Returns the current size of this region. If the region is collapsed, the size of the collapsedEl will be returned, otherwise the size of the region's panel will be returned.
Parameters:

- None.

Returns:

- `Object`
  An object containing the element's size: {width: (element width), height: (element height)}

BorderLayout.Region

isVisible() : Boolean
True if this region is currently visible, else false.
True if this region is currently visible, else false.
Parameters:

- None.

Returns:

- `Boolean`

BorderLayout.Region

setPanel( `Ext.Panel panel` ) : void
Sets the specified panel as the container element for this region.
Sets the specified panel as the container element for this region.
Parameters:

- `panel` : Ext.Panel
  The new panel

Returns:

- `void`

BorderLayout.Region

## Public Events

This class has no public events.